Community Forums

Community Discussions

Installation 2.2.2 version not detection mariadb 5.5 throws error mysql disabled


You must be signed-in to post.

AuthorSubject
 
Page: 1
taranmi
Screenshotfrom20170814183115.png
Subject: Installation 2.2.2 version not detection mariadb 5.5 throws error mysql disabledQuote this post in your reply
If you are asking for help, provide lots of detail so problems can be reproduced.

Things to describe:
Operating system ATutor is installed on - centos7
ATutor version - 2.2.2
Patch #s applied -
ATutor theme name -
PHP version - 7.2
MySQL version - Mariadb 5.5
Webserver & version - Apache 1.6
Copies of error messages -
Changes to default settings -
Web browser being used - mozilla
...and anything else relevant -
Posted: 2017-08-14 09:03:37
greg

Avatar for greg
Subject: Re: Installation 2.2.2 version not detection mariadb 5.5 throws error mysql disabledQuote this post in your reply
ATutor does not fully support PHP 7+. Try using it with a recent version of PHP 5.
Posted: 2017-08-14 17:29:31
taranmi
Screenshotfrom20170815172557.png
Subject: Re: Installation 2.2.2 version not detection mariadb 5.5 throws error mysql disabledQuote this post in your reply
Dear sir,
I have installed but now i'm getting language not installed
I'm not able to login, I have changed permissions of the content as well as config file and manually downloaded the language_text.sql imported it through phpmyadmin but still not able to resolve the issue kindly help.
If you are asking for help, provide lots of detail so problems can be reproduced.

Things to describe:
Operating system ATutor is installed on -
ATutor version -
Patch #s applied -
ATutor theme name -
PHP version -
MySQL version -
Webserver & version -
Copies of error messages -
Changes to default settings -
Web browser being used -
...and anything else relevant -
Posted: 2017-08-15 07:56:21
greg

Avatar for greg
Subject: Re: Installation 2.2.2 version not detection mariadb 5.5 throws error mysql disabledQuote this post in your reply
I'd guess you installed the language in the language_text table, rather than AT_language_text.

Did you switch to PHP5?
Posted: 2017-08-15 08:56:34
taranm
Subject: Re: Installation 2.2.2 version not detection mariadb 5.5 throws error mysql disabledQuote this post in your reply
Dear Sir,

I'm using php7, and yet I could install atutor but it say language not installed.
I have installed the AT_language_text only still facing problems. kindly help me my course is starting by next week. I either have to upgrade or make a fresh installation and run the course.


If you are asking for help, provide lots of detail so problems can be reproduced.

Things to describe:
Operating system ATutor is installed on -
ATutor version -
Patch #s applied -
ATutor theme name -
PHP version -
MySQL version -
Webserver & version -
Copies of error messages -
Changes to default settings -
Web browser being used -
...and anything else relevant -
Posted: 2017-08-16 01:48:57
greg

Avatar for greg
Subject: Re: Installation 2.2.2 version not detection mariadb 5.5 throws error mysql disabledQuote this post in your reply
I can't help you if you continue using PHP7.
Posted: 2017-08-16 07:17:28
taranm
Subject: Re: Installation 2.2.2 version not detection mariadb 5.5 throws error mysql disabledQuote this post in your reply
Sir I have other application relying on php7 so I will not be able to switch php7 to php5, kindly assist me what should I do now


If you are asking for help, provide lots of detail so problems can be reproduced.

Things to describe:
Operating system ATutor is installed on -
ATutor version -
Patch #s applied -
ATutor theme name -
PHP version -
MySQL version -
Webserver & version -
Copies of error messages -
Changes to default settings -
Web browser being used -
...and anything else relevant -
Posted: 2017-08-16 07:22:18
greg

Avatar for greg
Subject: Re: Installation 2.2.2 version not detection mariadb 5.5 throws error mysql disabledQuote this post in your reply
That's unfortunate, but there is nothing can be done to help.
Posted: 2017-08-16 09:07:40
taranm
Subject: Re: Installation 2.2.2 version not detection mariadb 5.5 throws error mysql disabledQuote this post in your reply
Dear Sir,

Can I use both php5 and php7 on my machine? and in this case kindly help me how to make the settings for atutor.

If you are asking for help, provide lots of detail so problems can be reproduced.

Things to describe:
Operating system ATutor is installed on -
ATutor version -
Patch #s applied -
ATutor theme name -
PHP version -
MySQL version -
Webserver & version -
Copies of error messages -
Changes to default settings -
Web browser being used -
...and anything else relevant -
Posted: 2017-08-19 05:22:06
greg

Avatar for greg
Subject: Re: Installation 2.2.2 version not detection mariadb 5.5 throws error mysql disabledQuote this post in your reply
Techically you can run two versions of PHP, but that's not something I would be able to help you with.

You can search the web for something like "run two versions of PHP" and you should get lots of results. You'll probably need a system administrator to set it up for you.
Posted: 2017-08-19 10:08:46
taranm
Subject: Re: Installation 2.2.2 version not detection mariadb 5.5 throws error mysql disabledQuote this post in your reply
Dear Sir,

Thanks for your suggestions, will try it out and update.

If you are asking for help, provide lots of detail so problems can be reproduced.

Things to describe:
Operating system ATutor is installed on -
ATutor version -
Patch #s applied -
ATutor theme name -
PHP version -
MySQL version -
Webserver & version -
Copies of error messages -
Changes to default settings -
Web browser being used -
...and anything else relevant -
Posted: 2017-08-21 05:14:50
 
Page: 1

You must be signed-in to post.

Related Articles